> ## Documentation Index
> Fetch the complete documentation index at: https://www.krea.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List runnable node app versions

> List versions of a node app visible to the authenticated user that can be executed through the public API.



## OpenAPI

````yaml https://api.krea.ai/openapi.json get /node-apps/{node_app_id}/versions
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /node-apps/{node_app_id}/versions:
    get:
      tags:
        - Node Apps
      summary: List runnable node app versions
      description: >-
        List versions of a node app visible to the authenticated user that can
        be executed through the public API.
      parameters:
        - in: path
          name: node_app_id
          description: Node app ID
          schema:
            type: string
            description: Node app ID
          required: true
        - in: query
          name: limit
          description: 'Number of items to return (1-1000, default: 100)'
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            description: 'Number of items to return (1-1000, default: 100)'
        - in: query
          name: cursor
          description: Cursor for pagination
          schema:
            type: string
            format: date-time
            description: Cursor for pagination
      responses:
        '200':
          description: Runnable node app versions
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the node app
                        author_id:
                          type: string
                          description: ID of the node app author
                        workspace_id:
                          type: string
                          description: ID of the workspace that owns the node app
                        name:
                          type: string
                          description: Name of the node app
                        slug:
                          type: string
                          description: URL-friendly identifier for the node app
                        description:
                          type: string
                          description: Description of the node app
                        scope:
                          type: string
                          description: 'Visibility scope: "public", "user", or "workspace"'
                        created_at:
                          type: string
                          description: Creation timestamp
                        updated_at:
                          type: string
                          description: Last update timestamp
                        version:
                          type: number
                          description: Selected node app version number
                        version_created_at:
                          type: string
                          description: Creation timestamp of this version
                        username:
                          type: string
                          description: Username of the node app creator
                        example_outputs:
                          type:
                            - array
                            - 'null'
                          items:
                            type: string
                          description: Example output URLs
                        input_openapi_schema:
                          type:
                            - object
                            - 'null'
                          properties:
                            type:
                              type: string
                              const: object
                            properties:
                              type: object
                              additionalProperties:
                                type: object
                                additionalProperties: true
                            required:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - properties
                          description: OpenAPI 3.1 JSON Schema for input parameters
                        output_openapi_schema:
                          type:
                            - object
                            - 'null'
                          properties:
                            type:
                              type: string
                              const: object
                            properties:
                              type: object
                              additionalProperties:
                                type: object
                                additionalProperties: true
                            required:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - properties
                          description: OpenAPI 3.1 JSON Schema for output values
                        node_app_version_id:
                          type: string
                          description: >-
                            Node app version ID to pass to
                            /node-apps/{id}/execute
                      required:
                        - id
                        - author_id
                        - workspace_id
                        - name
                        - slug
                        - description
                        - scope
                        - created_at
                        - updated_at
                        - version
                        - version_created_at
                        - username
                        - example_outputs
                        - input_openapi_schema
                        - output_openapi_schema
                        - node_app_version_id
                      description: Node app response schema
                  next_cursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - next_cursor
        '400':
          description: Invalid pagination parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: Node app not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````